Subject: [PATCH DRAFT 1/2] drivers: serial: PL011: refactor register access

From: [email-masked] (Timur Tabi)
Date: Mon, 2 Nov 2015 07:44:26 -0600

Andre Przywara wrote:
> This patch doesn't, I was just enumerating possible extensions which
> will become much easier now that we don't have to patch every single
> call site for such a change (to give rationale for this refactoring).
> Changing the access width is now a simple change in those two functions,
> and since you have the struct uart_amba_port available, you can access
> any field in there to determine your desired access width.
>
> As it says on the tin: it's a draft. Feel free to extend it to a proper
> series;-)

Actually, we already have a patch that does just that, so I'll post it.

-- 
Sent by an employee of the Qualcomm Innovation Center, Inc.
The Qualcomm Innovation Center, Inc. is a member of the
Code Aurora Forum, hosted by The Linux Foundation.